Description

Hi,

Please remove useless Qt5 dependency foçr GT3 build.

Qt5 is an enormous bazar that "GTK only" desktop environments must not have to install.

diff -rNaud audacious-4.0.3-old/configure audacious-4.0.3/configure

--- audacious-4.0.3-old/configure    2020-05-03 09:57:40.387914172 +0200

+++ audacious-4.0.3/configure    2020-05-03 09:57:57.365913828 +0200

@@ -6700,7 +6700,7 @@

 if test "${enable_qt+set}" = set; then :

   enableval=$enable_qt; USE_QT=$enableval

 else

-  USE_QT=yes

+  USE_QT=no

 fi

History

#1 - May 03, 2020 11:58 - John Lindgren

I'm not sure I understand the issue here. Are you using meson or ./configure && make?

If you're using ./configure, did you pass --disable-qt?

#2 - May 03, 2020 11:59 - John Lindgren

- Subject changed from BUG in configure & meson.build : Qt5 shouldn't be required for GTK3 to configure & meson.build : Qt5 shouldn't be required

for GTK3

- Tracker changed from Bug to Support

#3 - May 03, 2020 11:59 - John Lindgren

- Category deleted (core)

#4 - May 03, 2020 13:30 - JP Guillemin

Yes, indeed, caused by the bug in both configure and meson : Qt is always required even if --disable-qt is passed to the configuration args.

Please take a look at my patch for configure : it's obvious :

 if test "${enable_qt+set}" = set; then :

   enableval=$enable_qt; USE_QT=$enableval

 else

- USE_QT=yes

+ USE_QT=no

 fi

June 02, 2025 1/2



It is really a bug !

#5 - May 03, 2020 23:09 - John Lindgren

- Status changed from New to Closed

No, you are misunderstanding the logic there. I build on a system without Qt before every release. It is not required.
